Cách đặt lại trình soạn thảo “Classic Editor” không cần plugin với wordpress 5.x

WordPress, một mã nguồn mở (miễn phí) viết bằng ngôn ngữ PHP và MySQL được sử dụng để tạo blog, trang web, hiện tại đã cập nhật đến 5.x (5.3.2 ở thời điểm hiện tại). Ở phiên bản 5.x này đã có những cải tiến được coi là đột phá như:

  • Trình soạn thảo Gutenberg mới
  • Cập nhật Twenty Nineteen theme
  • Vá các lỗi bảo mật ở phiên bản cũ…

Trình soạn thảo Gutenberg hiện tại đã không chỉ là một plugin nữa, mà nó đã được tích hợp làm trình soạn thảo mặc định cho wordpress.

Tuy nhiên, khi sử dụng trình soạn thảo mới Gutenberg có thể làm bạn khó khăn trong việc sử dụng do đã quen với trình soạn thảo cũ. Đừng lo lắng, bạn có thể dễ dàng đưa trình soạn thảo này về phiên bản cũ (trình soạn thảo mặc định của wordpress 4.x trở về trước). Hãy thêm 1 đoạn code nho nhỏ vào file function.php của Theme bạn đang dùng.

add_filter('use_block_editor_for_post', '__return_false');

Chỉ bằng các đơn giản như vậy bạn đã có thể sử dụng trình soạn thảo TinyMCE  quen thuộc.

Ngoài ra, để làm điều này, bạn cũng có thể sử dụng lugin Classic Editor do chính WordPress phát hành. Lưu ý nhỏ là chỉ nên sử dụng 1 trong 2 thôi nhé để tránh xảy ra xung đột gì đó cho website của bạn.

Tags:
Thuở học sinh thích lướt web, chơi game. Ứng thi vào ĐH Công Nghiệp... đậu trường Nông Nghiệp, học CNTT. Đi làm là nhân viên Marketing... Tiếp cận, học PHP từ Joomla, sau làm Wordpress. Và hiện tại đang làm CodeIgniter, Laravel... Tối về viết Blog... và luôn cố gắng cập nhật những công nghệ mới mỗi ngày.